Class | IO
In: | lib/phusion_passenger/utils.rb
Parent: | Object

### Methods

close_on_exec! recv_io send_io

### Public Instance methods

close_on_exec!()

[Source]

         # File lib/phusion_passenger/utils.rb, line 545
    545:         def close_on_exec!
    546:                 if defined?(Fcntl::F_SETFD)
    547:                         fcntl(Fcntl::F_SETFD, Fcntl::FD_CLOEXEC)
    548:                 end
    549:         end

recv_io()

Receive an IO object (i.e. a file descriptor) from this IO channel. This only works if this IO channel is a Unix socket.

Raises SystemCallError if something went wrong.

[Source]

         # File lib/phusion_passenger/utils.rb, line 540
    540:                 def recv_io
    541:                         return IO.new(PhusionPassenger::NativeSupport.recv_fd(self.fileno))
    542:                 end

send_io(io)

Send an IO object (i.e. a file descriptor) over this IO channel. This only works if this IO channel is a Unix socket.

Raises SystemCallError if something went wrong.

[Source]

         # File lib/phusion_passenger/utils.rb, line 532
    532:                 def send_io(io)
    533:                         PhusionPassenger::NativeSupport.send_fd(self.fileno, io.fileno)
    534:                 end

[Validate]